Integrations

Browse the team's catalog of available integration types

get

List the team's integration catalog: built-in integration types plus any custom connection types defined for the team. OAuth authorization flows are browser-based and cannot be performed via this API; use the Duvo dashboard to complete OAuth-based connections.

Authorizations
AuthorizationstringRequired

API key authentication. Get your API key from the Duvo dashboard.

Query parameters
typestringOptional
limitinteger · min: 1 · max: 100OptionalDefault: 100
offsetinteger · max: 9007199254740991Optional
Responses
200

Default Response

application/json
totalinteger · max: 9007199254740991Required
limitinteger · min: 1 · max: 9007199254740991Required
offsetinteger · max: 9007199254740991Required
get
/v1/integrations
post

Create a custom integration type (team-level catalog entry) that users can then connect as user-provided MCP connections. Requires manager-or-above role.

Authorizations
AuthorizationstringRequired

API key authentication. Get your API key from the Duvo dashboard.

Body
namestring · min: 1Required
auth_methodstring · enumRequiredPossible values:
server_urlstring · uriRequired
oauth_client_idstring · min: 1Optional
oauth_client_secretstring · min: 1Optional
Responses
post
/v1/integrations/custom
delete

Delete a custom integration type (team-level catalog entry) and cascade-remove related connections. Requires manager-or-above role.

Authorizations
AuthorizationstringRequired

API key authentication. Get your API key from the Duvo dashboard.

Path parameters
custom_integration_idstring · uuidRequired

Custom integration type ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Responses
200

Default Response

application/json
successbooleanRequired
messagestringRequired
delete
/v1/integrations/custom/{custom_integration_id}

Last updated